WordPress.org

Make WordPress Core

Changeset 47171


Ignore:
Timestamp:
02/04/2020 01:12:53 AM (17 months ago)
Author:
SergeyBiryukov
Message:

Database: Add ANSI to the list of incompatible SQL modes.

Starting with MySQL 5.7.5, the ANSI mode implies ONLY_FULL_GROUP_BY, which is already listed in wpdb as incompatible per [27072].

When ANSI is enabled on MySQL 5.7.5+, ONLY_FULL_GROUP_BY remains enabled even after being "unset" by wpdb::set_sql_mode().

To prevent this, the ANSI mode should also be listed as incompatible. It is not enabled on default MySQL installations.

Props jnylen0.
Fixes #48377.

File:
1 edited

Legend:

Unmodified
Added
Removed
Note: See TracChangeset for help on using the changeset viewer.